:- style_check(-singleton).

/*

WDM1 Test Plant model

*/

pctp(wdm1,

potp(['ne1', 'ne2', 'ne21', 'ne4']),

instrument(['ONT_506_H', 'VOA_MAP200_S2P2', 'VOA_MAP200_S3P1', 'Instr1_43', 'Instr1_']),

au2([('au2138', connected_to(['ne1', 'ne2']))]),

au1([
('au1_15',               connected_to(['ne1'])),
('au1_40',               connected_to(['ne2'])),
('au1_25',               connected_to(['ne4'])),
('au1_28',               connected_to(['ne4'])),
('au1_35_TPS',           connected_to(['ne4']))])

).


potp_instance('ne1', attributes([
('TYPE', 'SPO1460'),
('IPADDR', '10.44.108.75'),
('NTPADDR', '10.42.159.86'),
('INSTALLED_CARDS', [
slot(1, card('SM-4xXFP-2xSFP+'), installed_interface([(1, 'OTU2_DWDM'), (3, 'I_64_1')])),
slot(2, card('SM-2xXFP-16xSFP'), installed_interface([(1, 'OTU2_DWDM')])),
slot(21, card('SC-AT'), installed_interface([])),
slot(43, card('SC-AT'), installed_interface([]))
])
])
).


potp_instance('ne21', attributes([
('TYPE', 'SPO1490'),
('IPADDR', '10.44.108.73'),
('NTPADDR', '10.42.159.86'),
('INSTALLED_CARDS', [
slot(3, card('SM-1xS64-4xS16-A'), installed_interface([(1, 'OTU2_DWDM')])),
slot(5, card('SM-1xS64-4xS16-A'), installed_interface([(1, 'OTU2_DWDM')])),
slot(7, card('SM-2x10GE-10xGE-A'), installed_interface([(1, '10GBASE_LR_LW'), (3, 'OTU2e_DWDM')])),
slot(9, card('SC-AT'), installed_interface([])),
slot(11, card('SC-AT'), installed_interface([])),
slot(14, card('SM-4xXFP-2xSFP+'), installed_interface([(1, 'OTU2_DWDM'), (3, 'I_64_1')]))
])
])
).


potp_instance('ne2', attributes([
('TYPE', 'SPO1490'),
('IPADDR', '10.44.108.73'),
('NTPADDR', '10.42.159.86'),
('INSTALLED_CARDS', [
slot(3, card('SM-1xS64-4xS16-A'), installed_interface([(1, 'OTU2_DWDM')])),
slot(5, card('SM-1xS64-4xS16-A'), installed_interface([(1, 'OTU2_DWDM')])),
slot(7, card('SM-2x10GE-10xGE-A'), installed_interface([(1, '10GBASE_LR_LW'), (3, 'OTU2e_DWDM')])),
slot(9, card('SC-AT'), installed_interface([])),
slot(11, card('SC-AT'), installed_interface([])),
slot(14, card('SM-4xXFP-2xSFP+'), installed_interface([(1, 'OTU2_DWDM'), (3, 'I_64_1')])),
slot(15, card('SM-2xXFP-16xSFP'), installed_interface([(1, 'OTU2_DWDM')]))
])
])
).

potp_instance('ne4', attributes([
('TYPE', 'SPO1415'),
('IPADDR', '10.44.108.72'),
('NTPADDR', '10.42.159.86'),
('INSTALLED_CARDS', [
slot(3, card('SM-1xS64-4xS16-AH'), installed_interface([(1, 'OTU2_DWDM')])),
slot(5, card('SM-1xS64-4xS16-AH'), installed_interface([(1, 'OTU2_DWDM')])),
slot(7, card('SM-2x10GE-10xGE-A'), installed_interface([(1, '10GBASE_LR_LW'), (3, 'OTU2e_DWDM')])),
slot(9, card('SC-AH'), installed_interface([])),
slot(11, card('SC-AH'), installed_interface([])),
slot(14, card('SM-2xXFP-16xSFP'), installed_interface([(1, 'OTU2_DWDM')]))
])
])
).





/**********************************  au1_ 15  **********************************/

pau_instance('au1_15', attributes([
('MAC_ADDRESSS', '02:00:0a:22:82:58'),
('TYPE', 'APS_ROADM_4WAY_50_A'),
('GRID', 96),
('WDM_LINE_FROM', ''),
('WDM_LINE_TO', '')
])
).

/**********************************  au1_ 40  **********************************/

pau_instance('au1_40', attributes([
('MAC_ADDRESSS', '3c:19:7d:22:c2:93'),
('TYPE', 'APS_ROADM_2WAY_100_A'),
('GRID', 96),
('WDM_LINE_FROM', ''),
('WDM_LINE_TO', '')
])
).

/**********************************  au1_ 25  **********************************/

pau_instance('au1_25', attributes([
('MAC_ADDRESSS', '34:07:fb:c4:48:bf'),
('TYPE', 'APS_ROADM_9WAY_50_A'),
('GRID', 96),
('WDM_LINE_FROM', ''),
('WDM_LINE_TO', '')
])
).

/**********************************  au1_ 28  **********************************/

pau_instance('au1_28', attributes([
('MAC_ADDRESSS', '34:07:fb:c6:e2:6d'),
('TYPE', 'APS_ROADM_9WAY_50_A'),
('GRID', 96),
('WDM_LINE_FROM', ''),
('WDM_LINE_TO', '')
])
).

/**********************************  au1_ 35 TPS  ******************************/

pau_instance('au1_35_TPS', attributes([
('MAC_ADDRESSS', '3c:19:7d:22:c2:69'),
('TYPE', 'APS_ROADM_4WAY_50_A'),
('GRID', 96),
('WDM_LINE_FROM', ''),
('WDM_LINE_TO', '')
])
).

/******************************** au1_ 3 - au2 ********************************/

ola_instance('au276', attributes([
(1,
('WDM_LINE_TO',   'ne1'),
('GRID', 96))
,
(2,
('WDM_LINE_TO',   'ne2'),
('GRID', 96))
])).


/******************************* INSTRUMENT 1 ********************************/
instrument_instance('ONT_506_H', attributes([
('TYPE',    'ONT_506_SC'),
('INSTR_SLOT',     4),
('INSTR_PORT',     1),
('INSTR_BIT_RATE', 'STM64')
])).

/******************************* INSTRUMENT 2 ********************************/
instrument_instance('VOA_MAP200_S2P2', attributes([
('TYPE',    'VOA_MAP200'),
('INSTR_SLOT',     1),
('INSTR_PORT',     1),
('INSTR_BIT_RATE', 'STM64')
])).

/******************************* INSTRUMENT 3 ********************************/
instrument_instance('VOA_MAP200_S3P1', attributes([
('TYPE',    'VOA_MAP200'),
('INSTR_SLOT',     3),
('INSTR_PORT',     1),
('INSTR_BIT_RATE', 'STM64')
])).

/******************************* INSTRUMENT 4 ********************************/
instrument_instance('Instr1_43', attributes([
('TYPE',    'Instr1_'),
('INSTR_SLOT',     1),
('INSTR_PORT',     1),
('INSTR_BIT_RATE', 'STM64')
])).

/******************************* INSTRUMENT 5 ********************************/

instrument_instance('Instr1_', attributes([
('TYPE',    'Instr1_'),
('INSTR_SLOT',     1),
('INSTR_PORT',     1),
('INSTR_BIT_RATE', 'STM64')
])).
